<?php

namespace App\Model;

use Nette,
    Nette\Security\Passwords;

/**
 * Manage database table
 *
 * @author Monsterboy
 */
class Users extends Base
{
    protected $tableName = 'user';

    /**
     * Ukládá nového klienta
     * 
     * @param array $values Hodnoty z formuláře
     * @return bool
     */
    public function addUser($value) {
            
        $icoDb = array();
        $icoDb['email'] = $value['email'];
        
        $countRows = $this->countBy($icoDb);
        if ($countRows == 0)
        {
            $valuesDB = array();
            $valuesDB['name'] = $value['name'];
            $valuesDB['email'] = $value['email'];
            $valuesDB['phone'] = $value['phone'];
            $valuesDB['password'] = Passwords::hash($value['password']);
            $valuesDB['created'] = date('Y-m-d H:i:s');
            
            $insertedId = $this->insert($valuesDB);
            return $insertedId;
        }
        else 
        {
            return false;
        }
    }

    /**
     * Edit params of user
     *
     * @param integer $id ID of client
     * @param array $values values from form
     */
    public function editUser($id, $values)
    {
        $by['user_id'] = $id;
        $this->update($by, $values);
    }

    /**
     * Return file path if file exist or return false
     *
     * @param $id
     * @return bool|string
     */
    public function getPathProfileImage($id)
    {
        $path = "assets/images/users/";
        $fileName = 'user_'.$id;

        $fileTypes = array(1 => '.jpg', 2 => '.png', 3 => '.gif');
        foreach ($fileTypes as $fileType)
        {
            if (file_exists($path.$fileName.$fileType))
            {
                return "/".$path.$fileName.$fileType;
            }
        }

        return false;
    }

    /**
     * Return all params about user
     *
     * @param $id
     * @return FALSE|Nette\Database\Table\ActiveRow
     */
    public function getProfileParams($id)
    {
        //$this->tableName = 'users';

        $by['user_id'] = $id;
        return $this->findOneBy($by);
    }

    /**
     * Get user ID
     *
     * @param $username
     * @return bool|mixed|Nette\Database\Table\IRow|null
     */
    public function getId($username)
    {
        //$this->tableName = 'users';

        $array = array();
        $array['email'] = $username;

        $row = $this->findOneBy($array);
        return $row['user_id'];
    }
}
