<?php

namespace App\Presenters;

use Nette,
	App\Model;
use Nette\Application\UI\Form;


class HandlerPresenter extends BasePresenter
{

    private $owner;

    public function beforeRender()
    {
        parent::beforeRender();

        if ($this->getUser()->getIdentity()) {
            $userData = $this->getUser()->getIdentity()->getData();
            if (isset($userData['user_id'])) $this->owner = $userData;
            else $this->owner = null;
        }
    }

    /**
     * Get models by make id
     */
    public function renderGetModels()
    {
        $id = $_REQUEST['id'];
        $this->template->options = array("" => "Vyberte model")+$this->context->model->getModelsByMake($id);
    }

    /**
     * Get subcategories by category id
     */
    public function renderGetSubcategories()
    {
        $id = $_REQUEST['id'];
        $this->template->options = array("" => "Vyberte podategorii")+$this->context->category->getSubCategories($id);
    }

    public function renderDeleteImg()
    {
        $user = $_REQUEST['user'];
        $path = __DIR__ . '/../../www' . $_REQUEST['path'];
        if ($this->owner['user_id'] == $user)
        {
            $smazano = $this->context->ad->deleteImage($path);
            if ($smazano) $res = array('success'=>'Smazano');
            else $res = array('error'=>$path.'Nepodařilo se smazat obrázek.');
            $this->sendResponse(new Nette\Application\Responses\JsonResponse($res));
        }
        else
        {
            $loginWarning = array('error'=>'Pro smazání se musíte přihlásit jako oprávněný uživatel.');
            $this->sendResponse(new Nette\Application\Responses\JsonResponse($loginWarning));
        }


    }


    /**
     * Vkládání značek a modelů aut
     */
    public function renderInsertCars()
    {
        /*$path = "http://www.sauto.cz/import/carList";
        $xmlfile = file_get_contents($path);
        $ob= simplexml_load_string($xmlfile);

        foreach ($ob->kind->manufacturer as $kind)
        {
            //echo "<li>".$kind->manufacturer_name."</li>";
            $makeId = $this->context->make->addMake((string)$kind->manufacturer_name);

            //echo "<ul>";
            foreach ($kind->model as $model)
            {
                //echo "<li>".$model->model_name."</li>";
                $this->context->model->addModel((string)$model->model_name, $makeId);
            }
            //echo "</ul>";
        }*/

        /*$ads = $this->context->ad->getAds();
        foreach ($ads as $ad)
        {
            if (isset($ad->model_id))
            {
                $model = $this->context->model->getModel($ad->model_id);
                $this->context->ad->update(array("ad_id"=>$ad->ad_id),array("make_id"=>$model['make_id']));
            }

            if (isset($ad->subcategory_id))
            {
                $category = $this->context->category->getCategory($ad->subcategory_id);
                $this->context->ad->update(array("ad_id"=>$ad->ad_id),array("category_id"=>$category['parent_category_id']));
            }
        }*/

    }
}
