<?php

namespace App\Presenters;

use Nette,
	App\Model;
use Nette\Application\UI\Form;


class RatingPresenter extends BasePresenter
{
    public function renderRating($seller_id, $user_id)
    {
        //$userData = $this->getUser()->getIdentity()->getData();

        if(!$this->user->loggedIn)
        {
            $this->template->error = 'Chyba při autorizaci. Zkuste se prosím znovu přihlásit.';
        }
        else
        {
            $this->template->sellerId = $seller_id;
            $this->template->userId = $user_id;
        }
    }

    public function renderUser($id)
    {
        $this->template->sellerId = $id;
        $this->template->seller = $this->context->users->getProfileParams($id);
        $this->template->rating = $this->template->rating = $this->context->ratings->getRating($id);
        $this->template->results = $this->context->ratings->getAllRatings($id);
    }

    public function handleRating()
    {
        if($this->user->loggedIn)
        {
            $userData = $this->getUser()->getIdentity()->getData();
        }
        else
        {
            $loginWarning = array('error'=>'Pro hodnoceníse musíte přihlásit');
            $this->sendResponse(new Nette\Application\Responses\JsonResponse($loginWarning));
        }

        if ($_REQUEST['seller_id'] == $userData['user_id'])
        {
            $comunicationWarning = array('error'=>'Uživatel nesmí hodnotit sám sebe.');
            $this->sendResponse(new Nette\Application\Responses\JsonResponse($comunicationWarning));
        }
        else
        {
            $this->context->ratings
                ->setRating($_REQUEST['seller_id'], $_REQUEST['user_id'], $_REQUEST['rating'], $_REQUEST['comment']);
            $success = array('success'=>'Odesláno');
            $this->sendResponse(new Nette\Application\Responses\JsonResponse($success));
        }
    }
}
