<?php

namespace App\Model;

use Nette,Model;
use Nette\Mail\Message;
use Nette\Mail\SendmailMailer;

/**
 * Třída pro odesílání emailů
 *
 * @author Monsterboy
 */
class Emails extends Nette\Object
{
    const EMAIL_FROM = 'Sportovnidily.cz <system@sportovnidily.cz>';

    private $template;
    private $recipient;
    private $subject;
    private $params;

    function __construct()
    {
        $this->params = array();
    }


    /**
     * @return mixed
     */
    public function getTemplate()
    {
        return $this->template;
    }

    /**
     * @param mixed $template
     */
    public function setTemplate($template)
    {
        $this->template = $template;
    }

    /**
     * @return mixed
     */
    public function getRecipient()
    {
        return $this->recipient;
    }

    /**
     * @param mixed $recipient
     */
    public function setRecipient($recipient)
    {
        $this->recipient = $recipient;
    }

    /**
     * @return mixed
     */
    public function getSubject()
    {
        return $this->subject;
    }

    /**
     * @param mixed $subject
     */
    public function setSubject($subject)
    {
        $this->subject = $subject;
    }

    /**
     * @return mixed
     */
    public function getParams()
    {
        return $this->params;
    }

    /**
     * @param mixed $params
     */
    public function setParams($params)
    {
        $this->params = $params;
    }


    public function sendMail()
    {   
        $latte = new \Latte\Engine;
        $mail = new Message();
        $mail->setFrom(self::EMAIL_FROM)
            ->addTo($this->recipient)
            ->setSubject("$this->subject")
            ->setHtmlBody($latte->renderToString(__DIR__ . '/../templates/Emails/'.$this->template, $this->params));

        $mailer = new SendmailMailer;
        try {
            $mailer->send($mail);
        } catch (Exception $e) {
            die("I could not send mail.");
        }

        /*
        $params = array();
        $params['headline'] = "test";
        $params['content'] = "obsah";

        $latte = new \Latte\Engine;
        $mail = new Message();
        $mail->setFrom("info@najdi-hospodyni.cz")
            ->addTo("adam.korenek@gmail.com")
            ->setSubject("Prihlaseni")
            ->setHtmlBody($latte->renderToString(__DIR__ . '/../templates/@layout_sys_email.latte', $params));

        $mailer = new SendmailMailer;
        try {
            $mailer->send($mail);
        } catch (Exception $e) {
            die("I could not send mail.");
        }*/
    }
}