<?php

namespace App\Model;

use Nette,
    Nette\Security\Passwords;

/**
 * Manage database table housekeeper
 *
 * @author Monsterboy
 */
class Seen extends Base
{
    protected $tableName = 'seen';
    public $database;
    protected $dateTime;
    protected $encodeString;

    function __construct(Nette\Database\Context $database, DateTime $dateTime, EncodingString $enc)
    {
        $this->database = $database;
        $this->dateTime = $dateTime;
        $this->encodeString = $enc;
    }

    /**
     * Ukládá navštívené inzeráty
     * 
     * @param array $values Hodnoty z formuláře
     * @return bool
     */
    public function addSeen($userId, $adId) {

        $insertedId = null;

        if (!$this->isSeen($userId, $adId))
        {
            $valuesDB = array();
            $valuesDB['ad_id'] = $adId;
            $valuesDB['user_id'] = $userId;
            $valuesDB['created'] = date('Y-m-d H:i:s');

            $this->insert($valuesDB);
        }
        else
        {
            $valuesDB = array();
            $by = array();
            $by['ad_id'] = $adId;
            $by['user_id'] = $userId;
            $valuesDB['created'] = date('Y-m-d H:i:s');
            $this->update($by, $valuesDB);
        }
    }


    /**
     * @param $userId
     * @param $adId
     * @return Nette\Database\Table\Selection
     */
    public function isSeen($userId, $adId)
    {
        $seen = $this->findBy(array("user_id"=>$userId, "ad_id"=>$adId))->fetch();
        return $seen['created'];
    }

    /**
     * @param $userId
     * @return array
     */
    public function getAll($userId)
    {
        $results = array();
        $rows = $this->findBy(array("user_id" => $userId));
        while ($row = $rows->fetch())
        {
            $results[] = $row['ad_id'];
        }
        return $results;
    }
}
