<?php

namespace App\Model;

use Nette;

/**
 * Manage database table services
 *
 * @author Monsterboy
 */
class Services extends Base
{
    protected $tableName = 'services';

    /**
     * Return array of services name and id
     *
     * @return array
     */
    public function getServicesByCategories($categoryId) {

        $this->tableName = 'services';

        $rows = $this->findBy(array('service_cat_id'=>$categoryId));
        $service = array();
        foreach($rows as $row) {
            $service[$row->service_id] = $row->service_name;
        }
        return $service;
    }

    /**
     * Return array of categories and services
     *
     * @return mixed
     */
    public function getServicesAndCategories()
    {
        $this->tableName = 'service_cat';

        $result = array();
        $rows = $this->findAll();
        foreach ($rows as $row)
        {
            $result[$row['service_cat_name']] = $this->getServicesByCategories($row['service_cat_id']);
        }
        return $result;
    }
}
