<?php

namespace App\Presenters;

use Nette,
	App\Model;
use Nette\Application\UI\Form;

/**
 * Homepage presenter.
 */
class RegistracePresenter extends BasePresenter
{
    protected $params;

	public function renderDefault()
	{
        if(!$this->user->loggedIn)
        {
            $this->flashMessage('Pro přístup do této sekce se musíte nejprve přihlásit.','warning');
            //$this->redirect('Sign:in');
        }

        $userId = $this->getUser()->getIdentity()->getId();

        $this->template->userId = $userId;
        /*$this->template->servicesAndCategories = $this->context->services->getServicesAndCategories();
        $this->template->availableServices = $this->context->housekeeper->getAvailableServicesId($userId);
        $this->template->params = $this->context->housekeeper->getProfileParams($userId);
        $this->template->profileImagePath = $this->context->housekeeper->getPathProfileImage($userId);*/
	}

	protected function createComponentRegistrace()
	{

	}

	public function registraceSucceeded(Form $form)
	{
        $values = $form->getValues();
        $id = $this->getUser()->getIdentity()->getId();

        $stav = $this->context->uploader->uploadImage($values['photo'], 'housekeeper_'.$id, 'assets/images/housekeepers/');
        unset($values['photo']);

        $this->context->housekeeper->editHousekeeper($id, $values);

        $services = $form->getHttpData($form::DATA_TEXT, 'service[]');
        $this->context->housekeeper->setAvailableServices($id, $services);

        $this->redirect('Homepage:');
	}


}
