<?php
// source: /data/web/virtuals/186204/virtual/www/subdom/beta/app/config/config.neon 
// source: /data/web/virtuals/186204/virtual/www/subdom/beta/app/config/config.local.neon 

/**
 * @property App\Model\Ad $ad
 * @property Nette\Application\Application $application
 * @property Nette\Caching\Storages\FileStorage $cacheStorage
 * @property App\Model\Category $category
 * @property Nette\DI\Container $container
 * @property App\Model\DateTime $dateTime
 * @property App\Model\Emails $emails
 * @property App\Model\EncodingString $encodingString
 * @property App\Model\Favorite $favorite
 * @property App\Model\Filter $filter
 * @property App\Model\Housekeeper $housekeeper
 * @property Nette\Http\Request $httpRequest
 * @property Nette\Http\Response $httpResponse
 * @property App\Model\Listing $listing
 * @property App\Model\Make $make
 * @property App\Model\Messages $messages
 * @property App\Model\Model $model
 * @property Nette\Bridges\Framework\NetteAccessor $nette
 * @property App\Model\NewPass $newPass
 * @property App\Model\Ratings $ratings
 * @property Nette\Application\IRouter $router
 * @property App\Model\Search $search
 * @property App\Model\Seen $seen
 * @property App\Model\Services $services
 * @property Nette\Http\Session $session
 * @property App\Model\Uploader $uploader
 * @property Nette\Security\User $user
 * @property App\Model\Users $users
 */
class SystemContainer extends Nette\DI\Container
{

	protected $meta = array(
		'types' => array(
			'nette\\object' => array(
				'nette',
				'nette.cacheJournal',
				'cacheStorage',
				'nette.httpRequestFactory',
				'httpRequest',
				'httpResponse',
				'nette.httpContext',
				'session',
				'nette.userStorage',
				'user',
				'application',
				'nette.presenterFactory',
				'nette.mailer',
				'nette.templateFactory',
				'database.default',
				'database.default.context',
				'ad',
				'category',
				'dateTime',
				'emails',
				'favorite',
				'filter',
				'housekeeper',
				'listing',
				'make',
				'messages',
				'model',
				'newPass',
				'ratings',
				'search',
				'seen',
				'services',
				'uploader',
				'40_App_Model_UserManager',
				'users',
				'container',
			),
			'nette\\bridges\\framework\\netteaccessor' => array('nette'),
			'nette\\caching\\storages\\ijournal' => array('nette.cacheJournal'),
			'nette\\caching\\storages\\filejournal' => array('nette.cacheJournal'),
			'nette\\caching\\istorage' => array('cacheStorage'),
			'nette\\caching\\storages\\filestorage' => array('cacheStorage'),
			'nette\\http\\requestfactory' => array('nette.httpRequestFactory'),
			'nette\\http\\irequest' => array('httpRequest'),
			'nette\\http\\request' => array('httpRequest'),
			'nette\\http\\iresponse' => array('httpResponse'),
			'nette\\http\\response' => array('httpResponse'),
			'nette\\http\\context' => array('nette.httpContext'),
			'nette\\http\\session' => array('session'),
			'nette\\security\\iuserstorage' => array('nette.userStorage'),
			'nette\\http\\userstorage' => array('nette.userStorage'),
			'nette\\security\\user' => array('user'),
			'nette\\application\\application' => array('application'),
			'nette\\application\\ipresenterfactory' => array('nette.presenterFactory'),
			'nette\\application\\presenterfactory' => array('nette.presenterFactory'),
			'nette\\application\\irouter' => array('router'),
			'nette\\mail\\imailer' => array('nette.mailer'),
			'nette\\mail\\sendmailmailer' => array('nette.mailer'),
			'nette\\bridges\\applicationlatte\\ilattefactory' => array('nette.latteFactory'),
			'nette\\application\\ui\\itemplatefactory' => array('nette.templateFactory'),
			'nette\\bridges\\applicationlatte\\templatefactory' => array('nette.templateFactory'),
			'nette\\database\\connection' => array('database.default'),
			'nette\\database\\context' => array('database.default.context'),
			'app\\model\\base' => array(
				'ad',
				'category',
				'favorite',
				'filter',
				'housekeeper',
				'listing',
				'make',
				'messages',
				'model',
				'newPass',
				'ratings',
				'search',
				'seen',
				'services',
				'uploader',
				'users',
			),
			'app\\model\\ad' => array('ad'),
			'app\\model\\category' => array('category'),
			'app\\model\\datetime' => array('dateTime'),
			'app\\model\\emails' => array('emails'),
			'app\\model\\encodingstring' => array('encodingString'),
			'app\\model\\favorite' => array('favorite'),
			'app\\model\\filter' => array('filter'),
			'app\\model\\housekeeper' => array('housekeeper'),
			'app\\model\\listing' => array('listing'),
			'app\\model\\make' => array('make'),
			'app\\model\\messages' => array('messages'),
			'app\\model\\model' => array('model'),
			'app\\model\\newpass' => array('newPass'),
			'app\\model\\ratings' => array('ratings'),
			'app\\model\\search' => array('search'),
			'app\\model\\seen' => array('seen'),
			'app\\model\\services' => array('services'),
			'app\\model\\uploader' => array('uploader'),
			'nette\\security\\iauthenticator' => array('40_App_Model_UserManager'),
			'app\\model\\usermanager' => array('40_App_Model_UserManager'),
			'app\\model\\users' => array('users'),
			'nette\\di\\container' => array('container'),
		),
	);


	public function __construct()
	{
		parent::__construct(array(
			'appDir' => '/data/web/virtuals/186204/virtual/www/subdom/beta/app',
			'wwwDir' => '/data/web/virtuals/186204/virtual/www/subdom/beta/www',
			'debugMode' => FALSE,
			'productionMode' => TRUE,
			'environment' => 'production',
			'consoleMode' => FALSE,
			'container' => array(
				'class' => 'SystemContainer',
				'parent' => 'Nette\\DI\\Container',
				'accessors' => TRUE,
			),
			'tempDir' => '/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp',
		));
	}


	/**
	 * @return App\Model\UserManager
	 */
	public function createService__40_App_Model_UserManager()
	{
		$service = new App\Model\UserManager($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return App\Model\Ad
	 */
	public function createServiceAd()
	{
		$service = new App\Model\Ad($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('favorite'), $this->getService('seen'));
		return $service;
	}


	/**
	 * @return Nette\Application\Application
	 */
	public function createServiceApplication()
	{
		$service = new Nette\Application\Application($this->getService('nette.presenterFactory'), $this->getService('router'), $this->getService('httpRequest'), $this->getService('httpResponse'));
		$service->catchExceptions = TRUE;
		$service->errorPresenter = 'Error';
		Nette\Bridges\ApplicationTracy\RoutingPanel::initializePanel($service);
		return $service;
	}


	/**
	 * @return Nette\Caching\Storages\FileStorage
	 */
	public function createServiceCacheStorage()
	{
		$service = new Nette\Caching\Storages\FileStorage('/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp/cache', $this->getService('nette.cacheJournal'));
		return $service;
	}


	/**
	 * @return App\Model\Category
	 */
	public function createServiceCategory()
	{
		$service = new App\Model\Category($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\DI\Container
	 */
	public function createServiceContainer()
	{
		return $this;
	}


	/**
	 * @return Nette\Database\Connection
	 */
	public function createServiceDatabase__default()
	{
		$service = new Nette\Database\Connection('mysql:host=md4.wedos.net;dbname=d186204_prod', 'w186204_prod', 'SENsABnt', array('lazy' => TRUE));
		Tracy\Debugger::getBlueScreen()->addPanel('Nette\\Bridges\\DatabaseTracy\\ConnectionPanel::renderException');
		return $service;
	}


	/**
	 * @return Nette\Database\Context
	 */
	public function createServiceDatabase__default__context()
	{
		$service = new Nette\Database\Context($this->getService('database.default'), new Nette\Database\Reflection\DiscoveredReflection($this->getService('database.default'), $this->getService('cacheStorage')), $this->getService('cacheStorage'));
		return $service;
	}


	/**
	 * @return App\Model\DateTime
	 */
	public function createServiceDateTime()
	{
		$service = new App\Model\DateTime;
		return $service;
	}


	/**
	 * @return App\Model\Emails
	 */
	public function createServiceEmails()
	{
		$service = new App\Model\Emails;
		return $service;
	}


	/**
	 * @return App\Model\EncodingString
	 */
	public function createServiceEncodingString()
	{
		$service = new App\Model\EncodingString;
		return $service;
	}


	/**
	 * @return App\Model\Favorite
	 */
	public function createServiceFavorite()
	{
		$service = new App\Model\Favorite($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('encodingString'));
		return $service;
	}


	/**
	 * @return App\Model\Filter
	 */
	public function createServiceFilter()
	{
		$service = new App\Model\Filter($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return App\Model\Housekeeper
	 */
	public function createServiceHousekeeper()
	{
		$service = new App\Model\Housekeeper($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('encodingString'));
		return $service;
	}


	/**
	 * @return Nette\Http\Request
	 */
	public function createServiceHttpRequest()
	{
		$service = $this->getService('nette.httpRequestFactory')->createHttpRequest();
		if (!$service instanceof Nette\Http\Request) {
			throw new Nette\UnexpectedValueException('Unable to create service \'httpRequest\', value returned by factory is not Nette\\Http\\Request type.');
		}
		return $service;
	}


	/**
	 * @return Nette\Http\Response
	 */
	public function createServiceHttpResponse()
	{
		$service = new Nette\Http\Response;
		return $service;
	}


	/**
	 * @return App\Model\Listing
	 */
	public function createServiceListing()
	{
		$service = new App\Model\Listing($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('favorite'), $this->getService('seen'), $this->getService('ad'));
		return $service;
	}


	/**
	 * @return App\Model\Make
	 */
	public function createServiceMake()
	{
		$service = new App\Model\Make($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return App\Model\Messages
	 */
	public function createServiceMessages()
	{
		$service = new App\Model\Messages($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return App\Model\Model
	 */
	public function createServiceModel()
	{
		$service = new App\Model\Model($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Bridges\Framework\NetteAccessor
	 */
	public function createServiceNette()
	{
		$service = new Nette\Bridges\Framework\NetteAccessor($this);
		return $service;
	}


	/**
	 * @return Nette\Caching\Cache
	 */
	public function createServiceNette__cache($namespace = NULL)
	{
		$service = new Nette\Caching\Cache($this->getService('cacheStorage'), $namespace);
		trigger_error('Service cache is deprecated.', 16384);
		return $service;
	}


	/**
	 * @return Nette\Caching\Storages\FileJournal
	 */
	public function createServiceNette__cacheJournal()
	{
		$service = new Nette\Caching\Storages\FileJournal('/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp');
		return $service;
	}


	/**
	 * @return Nette\Http\Context
	 */
	public function createServiceNette__httpContext()
	{
		$service = new Nette\Http\Context($this->getService('httpRequest'), $this->getService('httpResponse'));
		return $service;
	}


	/**
	 * @return Nette\Http\RequestFactory
	 */
	public function createServiceNette__httpRequestFactory()
	{
		$service = new Nette\Http\RequestFactory;
		$service->setProxy(array());
		return $service;
	}


	/**
	 * @return Latte\Engine
	 */
	public function createServiceNette__latte()
	{
		$service = new Latte\Engine;
		$service->setTempDirectory('/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp/cache/latte');
		$service->setAutoRefresh(FALSE);
		$service->setContentType('html');
		return $service;
	}


	/**
	 * @return Nette\Bridges\ApplicationLatte\ILatteFactory
	 */
	public function createServiceNette__latteFactory()
	{
		return new SystemContainer_Nette_Bridges_ApplicationLatte_ILatteFactoryImpl_nette_latteFactory($this);
	}


	/**
	 * @return Nette\Mail\SendmailMailer
	 */
	public function createServiceNette__mailer()
	{
		$service = new Nette\Mail\SendmailMailer;
		return $service;
	}


	/**
	 * @return Nette\Application\PresenterFactory
	 */
	public function createServiceNette__presenterFactory()
	{
		$service = new Nette\Application\PresenterFactory('/data/web/virtuals/186204/virtual/www/subdom/beta/app', $this);
		$service->setMapping(array(
			'*' => 'App\\*Module\\Presenters\\*Presenter',
		));
		return $service;
	}


	/**
	 * @return Nette\Templating\FileTemplate
	 */
	public function createServiceNette__template()
	{
		$service = new Nette\Templating\FileTemplate;
		$service->registerFilter($this->getService('nette.latteFactory')->create());
		$service->registerHelperLoader('Nette\\Templating\\Helpers::loader');
		return $service;
	}


	/**
	 * @return Nette\Caching\Storages\PhpFileStorage
	 */
	public function createServiceNette__templateCacheStorage()
	{
		$service = new Nette\Caching\Storages\PhpFileStorage('/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp/cache', $this->getService('nette.cacheJournal'));
		trigger_error('Service templateCacheStorage is deprecated.', 16384);
		return $service;
	}


	/**
	 * @return Nette\Bridges\ApplicationLatte\TemplateFactory
	 */
	public function createServiceNette__templateFactory()
	{
		$service = new Nette\Bridges\ApplicationLatte\TemplateFactory($this->getService('nette.latteFactory'), $this->getService('httpRequest'), $this->getService('httpResponse'), $this->getService('user'), $this->getService('cacheStorage'));
		return $service;
	}


	/**
	 * @return Nette\Http\UserStorage
	 */
	public function createServiceNette__userStorage()
	{
		$service = new Nette\Http\UserStorage($this->getService('session'));
		return $service;
	}


	/**
	 * @return App\Model\NewPass
	 */
	public function createServiceNewPass()
	{
		$service = new App\Model\NewPass($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return App\Model\Ratings
	 */
	public function createServiceRatings()
	{
		$service = new App\Model\Ratings($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Application\IRouter
	 */
	public function createServiceRouter()
	{
		$service = App\RouterFactory::createRouter();
		if (!$service instanceof Nette\Application\IRouter) {
			throw new Nette\UnexpectedValueException('Unable to create service \'router\', value returned by factory is not Nette\\Application\\IRouter type.');
		}
		return $service;
	}


	/**
	 * @return App\Model\Search
	 */
	public function createServiceSearch()
	{
		$service = new App\Model\Search($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('category'));
		return $service;
	}


	/**
	 * @return App\Model\Seen
	 */
	public function createServiceSeen()
	{
		$service = new App\Model\Seen($this->getService('database.default.context'), $this->getService('dateTime'), $this->getService('encodingString'));
		return $service;
	}


	/**
	 * @return App\Model\Services
	 */
	public function createServiceServices()
	{
		$service = new App\Model\Services($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Http\Session
	 */
	public function createServiceSession()
	{
		$service = new Nette\Http\Session($this->getService('httpRequest'), $this->getService('httpResponse'));
		$service->setExpiration('14 days');
		return $service;
	}


	/**
	 * @return App\Model\Uploader
	 */
	public function createServiceUploader()
	{
		$service = new App\Model\Uploader($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Security\User
	 */
	public function createServiceUser()
	{
		$service = new Nette\Security\User($this->getService('nette.userStorage'), $this->getService('40_App_Model_UserManager'));
		return $service;
	}


	/**
	 * @return App\Model\Users
	 */
	public function createServiceUsers()
	{
		$service = new App\Model\Users($this->getService('database.default.context'));
		return $service;
	}


	public function initialize()
	{
		date_default_timezone_set('Europe/Prague');
		Nette\Caching\Storages\FileStorage::$useDirectories = TRUE;
		$this->getByType("Nette\Http\Session")->exists() && $this->getByType("Nette\Http\Session")->start();
		header('X-Frame-Options: SAMEORIGIN');
		header('X-Powered-By: Nette Framework');
		header('Content-Type: text/html; charset=utf-8');
		Nette\Utils\SafeStream::register();
		Nette\Reflection\AnnotationsParser::setCacheStorage($this->getByType("Nette\Caching\IStorage"));
		Nette\Reflection\AnnotationsParser::$autoRefresh = FALSE;
	}

}



final class SystemContainer_Nette_Bridges_ApplicationLatte_ILatteFactoryImpl_nette_latteFactory implements Nette\Bridges\ApplicationLatte\ILatteFactory
{

	private $container;


	public function __construct(Nette\DI\Container $container)
	{
		$this->container = $container;
	}


	public function create()
	{
		$service = new Latte\Engine;
		$service->setTempDirectory('/data/web/virtuals/186204/virtual/www/subdom/beta/app/../temp/cache/latte');
		$service->setAutoRefresh(FALSE);
		$service->setContentType('html');
		return $service;
	}

}
